## korganizer 24.12.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(PIM_VERSION "6.3.2")
set(RELEASE_SERVICE_VERSION "24.12.2")

# Update it for each release
set(KORGANIZER_RELEASE_VERSION_DATE "25.02.03") # yy.MM.dd

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

project(korganizer VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES 
src/*.cpp src/*.h
plugins/*.cpp plugins/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMCheckOutboundLicense)
ecm_check_outbound_license(LICENSES GPL-2.0-only FILES ${ALL_CLANG_FORMAT_SOURCE_FILES})



set(AKONADI_CONTACT_VERSION "6.3.2")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.2")
set(KMAILTRANSPORT_LIB_VERSION "6.3.2")
set(CALENDARUTILS_LIB_VERSION "6.3.2")
set(AKONADICALENDAR_LIB_VERSION "6.3.2")
set(KONTACTINTERFACE_LIB_VERSION "6.3.2")
set(KMIME_LIB_VERSION "6.3.2")
set(AKONADI_VERSION "6.3.2")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Widgets Test UiTools)

set(PIMCOMMON_LIB_VERSION "6.3.2")
set(LIBKDEPIM_LIB_VERSION "6.3.2")
set(LIBINCIDENCEEDITOR_LIB_VERSION "6.3.2")
set(CALENDARSUPPORT_LIB_VERSION "6.3.2")
set(EVENTVIEW_LIB_VERSION "6.3.2")

# Find KF6 package
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NewStuff ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)

set_package_properties(KF6UserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional).")

if(TARGET KF6::UserFeedbackWidgets)
    add_definitions(-DWITH_KUSERFEEDBACK)
endif()

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)


# Find KdepimLibs Package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IncidenceEditor ${LIBINCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities (experimental)" OFF)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.1.0")
            set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
                "Allow to compile with plasma activities"
                TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

if(NOT APPLE)
  find_package(X11)
endif()

set(KDEPIM_HAVE_X11 ${X11_FOUND})
configure_file(config-korganizer.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-korganizer.h)
include_directories(${korganizer_SOURCE_DIR} ${korganizer_BINARY_DIR})
configure_file(korganizer-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/korganizer-version.h @ONLY)


add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0
     KF 6.8.0
)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


add_subdirectory(src)
add_subdirectory(plugins)

ecm_qt_install_logging_categories(
        EXPORT KORGANIZER
        FILE korganizer.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
       )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

if(KF6DocTools_FOUND)
        kdoctools_install(po)
        add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plugins/lunarphases/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

########### next target ###############

add_library(lunarphases MODULE lunarphases.cpp lunarphases.h)


target_link_libraries(lunarphases
  KF6::Holidays
  KPim6::EventViews
)

install(TARGETS
  lunarphases
  DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/korganizer
)

########### install files ###############

include(ECMInstallIcons)
ecm_install_icons(
    ICONS
        pics/sc-status-moon-phase-first-quarter.svg
        pics/sc-status-moon-phase-full.svg
        pics/sc-status-moon-phase-last-quarter.svg
        pics/sc-status-moon-phase-new.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== plugins/picoftheday/CMakeLists.txt ===
########### next target ###############
add_library(picoftheday MODULE)

target_sources(picoftheday PRIVATE
    configdialog.cpp
    picoftheday.cpp
    element.cpp
    configdialog.h
    picoftheday.h
    element.h
    )
ecm_qt_declare_logging_category(picoftheday HEADER korganizer_picoftheday_plugin_debug.h IDENTIFIER KORGANIZERPICOFTHEDAYPLUGIN_LOG CATEGORY_NAME org.kde.pim.korganizer_picoftheday_plugins
    DESCRIPTION "kdepim-addons (korganizer picoftheday plugins)"
    OLD_CATEGORY_NAMES log_korganizer_picoftheday_plugins
    EXPORT KDEPIMADDONS
    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(picoftheday PROPERTIES UNITY_BUILD ON)
endif()
target_link_libraries(picoftheday
    PRIVATE
    KPim6::EventViews
    KF6::KIOCore
    Qt::Xml
    )

install(TARGETS
    picoftheday
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/korganizer
    )

=== src/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

########### next target ###############

add_executable(testkodaymatrix testkodaymatrix.cpp testkodaymatrix.h ../kodaymatrix.cpp)
add_test(NAME testkodaymatrix COMMAND testkodaymatrix)
ecm_mark_as_test(testkodaymatrix)
target_link_libraries(testkodaymatrix
  KPim6::AkonadiCore
  KF6::CalendarCore
  KPim6::CalendarSupport
  korganizer_core
  korganizerprivate
  Qt::Test
)

add_executable(testkodaymatrix_us testkodaymatrix_us.cpp testkodaymatrix_us.h ../kodaymatrix.cpp)
add_test(NAME testkodaymatrix_us COMMAND testkodaymatrix_us)
ecm_mark_as_test(testkodaymatrix_us)
target_link_libraries(testkodaymatrix_us
  KPim6::AkonadiCore
  KF6::CalendarCore
  KPim6::CalendarSupport
  korganizer_core
  korganizerprivate
  Qt::Test
)

set(koeventpopupmenutest_SRCS ../koeventpopupmenu.cpp ../kocorehelper.cpp ../korganizer_debug.cpp)
set(koeventpopupmenutest_LIBS Qt::Test
  Qt::Gui
  Qt::Core
  KPim6::Mime
  KPim6::AkonadiWidgets
  KPim6::AkonadiCore
  KPim6::AkonadiCalendar
  KF6::CalendarCore
  KPim6::IncidenceEditor
  KPim6::CalendarSupport
  korganizer_core
  korganizerprivate
)
add_akonadi_isolated_test_advanced(koeventpopupmenutest.cpp "${koeventpopupmenutest_SRCS}" "${koeventpopupmenutest_LIBS}")

ecm_add_test(testtoggletodo.cpp
  LINK_LIBRARIES
    Qt::Test
    KF6::CalendarCore
    KPim6::IdentityManagementCore
    korganizer_core
    korganizerprivate
)

=== src/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(
  ${korganizer_SOURCE_DIR}/
  ${korganizer_BINARY_DIR}/
)

########### next target ###############

add_executable(korgplugins korgplugins.cpp)

target_link_libraries(korgplugins
  korganizerprivate
  korganizer_core
  KF6::Holidays
  KF6::KIOCore
)

=== src/activities/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

macro(add_kaddressbook_activities_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test} ${ARGN} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(${_name})
    target_link_libraries(${_name} Qt::Test KPim6::PimCommonActivities korganizerprivate)
    set_target_properties(${_name} PROPERTIES
        DISABLE_PRECOMPILE_HEADERS ON
   )

endmacro()
add_kaddressbook_activities_test(activitiesmanagertest.cpp)

=== src/kontactplugin/korganizer/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
########### next target ###############
set(libcommon_SRCS korg_uniqueapp.cpp korg_uniqueapp.h)
ecm_qt_declare_logging_category(libcommon_SRCS HEADER korganizerplugin_debug.h IDENTIFIER KORGANIZERPLUGIN_LOG CATEGORY_NAME org.kde.pim.korganizer_plugin
        DESCRIPTION "korganizer (korganizer kontact plugins)"
        OLD_CATEGORY_NAMES log_korganizer_plugin
        EXPORT KORGANIZER
   )

set(kontact_korganizerplugin_PART_SRCS korganizerplugin.cpp apptsummarywidget.cpp summaryeventinfo.cpp korganizerplugin.h apptsummarywidget.h summaryeventinfo.h ${libcommon_SRCS})

qt_add_dbus_interfaces(kontact_korganizerplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml  ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml)

add_library(kontact_korganizerplugin MODULE ${kontact_korganizerplugin_PART_SRCS})

target_link_libraries(kontact_korganizerplugin Qt::DBus KPim6::AkonadiCalendar KPim6::CalendarUtils KF6::Contacts KF6::CalendarCore KPim6::KontactInterface korganizerprivate KPim6::CalendarSupport KPim6::AkonadiCalendar KF6::WindowSystem KF6::I18n)

########### next target ###############

set(kontact_todoplugin_PART_SRCS todoplugin.cpp todosummarywidget.cpp todoplugin.h todosummarywidget.h ${libcommon_SRCS})

qt_add_dbus_interfaces(kontact_todoplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml  ${korganizer_SOURCE_DIR}/src/data/org.kde.korganizer.Korganizer.xml)

add_library(kontact_todoplugin MODULE ${kontact_todoplugin_PART_SRCS})

target_link_libraries(kontact_todoplugin Qt::DBus KPim6::AkonadiCalendar  KF6::Contacts KPim6::KontactInterface KF6::CalendarCore KPim6::CalendarUtils KPim6::CalendarSupport KPim6::AkonadiCalendar KF6::WindowSystem)

########### next target ###############

set(kontact_journalplugin_PART_SRCS journalplugin.cpp journalplugin.h ${libcommon_SRCS})

qt_add_dbus_interfaces(kontact_journalplugin_PART_SRCS ${korganizer_SOURCE_DIR}/src/data/org.kde.Korganizer.Calendar.xml)

add_library(kontact_journalplugin MODULE ${kontact_journalplugin_PART_SRCS})

target_link_libraries(kontact_journalplugin Qt::DBus KF6::I18n KPim6::KontactInterface KF6::WindowSystem)

########### next target ###############

set(kcmapptsummary_PART_SRCS kcmapptsummary.cpp kcmapptsummary.h)

ki18n_wrap_ui(kcmapptsummary_PART_SRCS apptsummaryconfig_base.ui)

add_library(kcmapptsummary MODULE ${kcmapptsummary_PART_SRCS})
target_link_libraries(kcmapptsummary  KF6::KCMUtils KF6::I18n KF6::CoreAddons)

########### next target ###############

set(kcmtodosummary_PART_SRCS kcmtodosummary.cpp kcmtodosummary.h)

ki18n_wrap_ui(kcmtodosummary_PART_SRCS todosummaryconfig_base.ui)

add_library(kcmtodosummary MODULE ${kcmtodosummary_PART_SRCS})
target_link_libraries(kcmtodosummary Qt::Widgets KF6::KCMUtils KF6::I18n KF6::CoreAddons)

########## Unit Test ###########
if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()
########### install files ###############

install(TARGETS kcmapptsummary DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/summary)
install(TARGETS kcmtodosummary DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/summary)
install(TARGETS kontact_korganizerplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kontact)
install(TARGETS kontact_todoplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kontact)
install(TARGETS kontact_journalplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kontact)

=== debian/changelog ===
korganizer (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:09:23 +0100

=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:24.12.2~),
               libakonadicalendar-dev (>= 4:24.12.2~),
               libakonadicontact-dev (>= 4:24.12.2~),
               libcalendarsupport-dev (>= 4:24.12.2~),
               libeventviews-dev (>= 4:24.12.2~),
               libincidenceeditor-dev (>= 24.12.2~),
               libkcalendarutils-dev (>= 4:24.12.2~),
               libkdepim-dev (>= 4:24.12.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.2~),
               libkldap-dev (>= 24.12.2~),
               libkmailtransport-dev (>= 24.12.2~),
               libkmime-dev (>= 24.12.2~),
               libkontactinterface-dev (>= 24.12.2~),
               libpimcommon-dev (>= 4:24.12.2~),
               libplasmaactivities-dev (>= 6.1.0~),
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/korganizer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/korganizer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/korganizer.git
Rules-Requires-Root: no

Package: korganizer
Architecture: amd64 arm64 armhf i386
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Recommends: kalendarac,
Breaks: kdepim-addons (<< 22.12.4),
Replaces: kdepim-addons (<< 22.12.4),
Homepage: http://kontact.kde.org/korganizer/
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.

## korganizer 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,11 @@
   set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.3.2")
-set(RELEASE_SERVICE_VERSION "24.12.2")
+set(PIM_VERSION "6.3.3")
+set(RELEASE_SERVICE_VERSION "24.12.3")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "25.02.03") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "25.03.03") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
@@ -55,25 +55,25 @@
 
 
 
-set(AKONADI_CONTACT_VERSION "6.3.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.3.2")
-set(CALENDARUTILS_LIB_VERSION "6.3.2")
-set(AKONADICALENDAR_LIB_VERSION "6.3.2")
-set(KONTACTINTERFACE_LIB_VERSION "6.3.2")
-set(KMIME_LIB_VERSION "6.3.2")
-set(AKONADI_VERSION "6.3.2")
+set(AKONADI_CONTACT_VERSION "6.3.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")
+set(KMAILTRANSPORT_LIB_VERSION "6.3.3")
+set(CALENDARUTILS_LIB_VERSION "6.3.3")
+set(AKONADICALENDAR_LIB_VERSION "6.3.3")
+set(KONTACTINTERFACE_LIB_VERSION "6.3.3")
+set(KMIME_LIB_VERSION "6.3.3")
+set(AKONADI_VERSION "6.3.3")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Widgets Test UiTools)
 
-set(PIMCOMMON_LIB_VERSION "6.3.2")
-set(LIBKDEPIM_LIB_VERSION "6.3.2")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.3.2")
-set(CALENDARSUPPORT_LIB_VERSION "6.3.2")
-set(EVENTVIEW_LIB_VERSION "6.3.2")
+set(PIMCOMMON_LIB_VERSION "6.3.3")
+set(LIBKDEPIM_LIB_VERSION "6.3.3")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.3.3")
+set(CALENDARSUPPORT_LIB_VERSION "6.3.3")
+set(EVENTVIEW_LIB_VERSION "6.3.3")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)

=== plugins/thisdayinhistory/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

########### next target ###############

add_library(thisdayinhistory MODULE)
target_sources(thisdayinhistory PRIVATE
  thisdayinhistory.cpp
  thisdayinhistory.h
)

target_link_libraries(thisdayinhistory
  KPim6::EventViews
)

install(TARGETS
  thisdayinhistory
  DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/korganizer
)

=== src/interfaces/korganizer/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
########### next target ###############

add_library(korganizer_interfaces)
target_sources(korganizer_interfaces PRIVATE
    baseview.cpp
    mainwindow.cpp
    baseview.h
    mainwindow.h
   )
generate_export_header(korganizer_interfaces BASE_NAME korganizer_interfaces)
target_link_libraries(korganizer_interfaces
  KPim6::CalendarSupport
  KPim6::EventViews
  KPim6::AkonadiCore
  Qt::PrintSupport
  KF6::Parts
)

set_target_properties(korganizer_interfaces PROPERTIES
  VERSION ${KDEPIM_LIB_VERSION}
  SOVERSION ${KDEPIM_LIB_SOVERSION}
)

install(TARGETS
  korganizer_interfaces ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}  LIBRARY NAMELINK_SKIP
)

=== debian/changelog ===
korganizer (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:51:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicalendar-dev (>= 4:24.12.2~),
-               libakonadicontact-dev (>= 4:24.12.2~),
-               libcalendarsupport-dev (>= 4:24.12.2~),
-               libeventviews-dev (>= 4:24.12.2~),
-               libincidenceeditor-dev (>= 24.12.2~),
-               libkcalendarutils-dev (>= 4:24.12.2~),
-               libkdepim-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicalendar-dev (>= 4:24.12.3~),
+               libakonadicontact-dev (>= 4:24.12.3~),
+               libcalendarsupport-dev (>= 4:24.12.3~),
+               libeventviews-dev (>= 4:24.12.3~),
+               libincidenceeditor-dev (>= 24.12.3~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
+               libkdepim-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -35,12 +35,12 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
                libkldap-dev (>= 24.12.2~),
-               libkmailtransport-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
-               libkontactinterface-dev (>= 24.12.2~),
-               libpimcommon-dev (>= 4:24.12.2~),
+               libkmailtransport-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
+               libkontactinterface-dev (>= 24.12.3~),
+               libpimcommon-dev (>= 4:24.12.3~),
                libplasmaactivities-dev (>= 6.1.0~),
                libx11-dev,
                pkgconf,
@@ -48,7 +48,7 @@
                qt6-tools-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/korganizer
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/korganizer
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/korganizer.git

## korganizer 25.07.80

=== debian/changelog ===
korganizer (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:43:23 +0100

korganizer (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:04 +0100

korganizer (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:53:50 +0100

korganizer (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:12:29 +0100

korganizer (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:56:15 +0100

korganizer (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: korganizer
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf5,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadicalendar-dev (>= 4:24.12.3~),
-               libakonadicontact-dev (>= 4:24.12.3~),
-               libcalendarsupport-dev (>= 4:24.12.3~),
-               libeventviews-dev (>= 4:24.12.3~),
-               libincidenceeditor-dev (>= 24.12.3~),
-               libkcalendarutils-dev (>= 4:24.12.3~),
-               libkdepim-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadicalendar-dev (>= 4:25.07.80~),
+               libakonadicontact-dev (>= 4:25.07.80~),
+               libcalendarsupport-dev (>= 4:25.07.80~),
+               libeventviews-dev (>= 4:25.07.80~),
+               libincidenceeditor-dev (>= 25.07.80~),
+               libkcalendarutils-dev (>= 4:25.07.80~),
+               libkdepim-dev (>= 4:25.07.80~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -35,12 +36,12 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkldap-dev (>= 24.12.2~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libkmime-dev (>= 24.12.3~),
-               libkontactinterface-dev (>= 24.12.3~),
-               libpimcommon-dev (>= 4:24.12.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkldap-dev (>= 25.07.80~),
+               libkmailtransport-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
+               libkontactinterface-dev (>= 25.07.80~),
+               libpimcommon-dev (>= 4:25.07.80~),
                libplasmaactivities-dev (>= 6.1.0~),
                libx11-dev,
                pkgconf,
@@ -48,10 +49,10 @@
                qt6-tools-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/korganizer
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/korganizer
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/korganizer.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/korganizer
 Rules-Requires-Root: no
 
 Package: korganizer

## korganizer 25.07.90

=== debian/changelog ===
korganizer (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:53:57 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadicalendar-dev (>= 4:25.07.80~),
-               libakonadicontact-dev (>= 4:25.07.80~),
-               libcalendarsupport-dev (>= 4:25.07.80~),
-               libeventviews-dev (>= 4:25.07.80~),
-               libincidenceeditor-dev (>= 25.07.80~),
-               libkcalendarutils-dev (>= 4:25.07.80~),
-               libkdepim-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadicalendar-dev (>= 4:25.07.90~),
+               libakonadicontact-dev (>= 4:25.07.90~),
+               libcalendarsupport-dev (>= 4:25.07.90~),
+               libeventviews-dev (>= 4:25.07.90~),
+               libincidenceeditor-dev (>= 25.07.90~),
+               libkcalendarutils-dev (>= 4:25.07.90~),
+               libkdepim-dev (>= 4:25.07.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -36,12 +36,12 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libkldap-dev (>= 25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
-               libkontactinterface-dev (>= 25.07.80~),
-               libpimcommon-dev (>= 4:25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libkldap-dev (>= 25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
+               libkontactinterface-dev (>= 25.07.90~),
+               libpimcommon-dev (>= 4:25.07.90~),
                libplasmaactivities-dev (>= 6.1.0~),
                libx11-dev,
                pkgconf,

## korganizer 25.08.0

=== debian/changelog ===
korganizer (4:25.08.0-0zneon+24.04+noble+release+build37) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 02:48:21 +0000

korganizer (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:11:36 +0000

korganizer (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:40:15 +0000

korganizer (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:39:53 +0000

korganizer (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:29:07 +0000

korganizer (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:40:16 +0000

korganizer (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:03:18 +0000

korganizer (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:43:32 +0000

korganizer (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:35:16 +0000

korganizer (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:31:03 +0000

korganizer (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:40:20 +0000

korganizer (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:18:07 +0000

korganizer (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:49:09 +0000

korganizer (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:46:44 +0000

korganizer (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:24:19 +0000

korganizer (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:42:16 +0000

korganizer (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:34:04 +0000

korganizer (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:24:38 +0000

korganizer (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:04:37 +0000

korganizer (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 17:12:04 +0000

korganizer (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:38:47 +0000

korganizer (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 23:21:58 +0000

korganizer (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:09:59 +0000

korganizer (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:02:33 +0000

korganizer (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:33:12 +0000

korganizer (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:09:03 +0000

korganizer (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:44:53 +0000

korganizer (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:51:06 +0000

korganizer (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:13:02 +0000

korganizer (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:33:02 +0000

korganizer (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:13:02 +0000

korganizer (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:01:23 +0000

korganizer (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:25:30 +0000

korganizer (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:20:28 +0000

korganizer (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:29:55 +0000

korganizer (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:03:58 +0000

korganizer (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:11:34 +0000

korganizer (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:17:15 +0000

korganizer (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:54 +0000

korganizer (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:44:59 +0000

korganizer (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:58:12 +0000

korganizer (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:07:28 +0000

korganizer (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:57:55 +0000

korganizer (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:25:42 +0000

korganizer (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:03:43 +0000

korganizer (4:20.12.2-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifyconfig-dev,
               kf6-kservice-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-prison-dev,
               kf6-sonnet-dev,
               kpim6-akonadi-calendar-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-akonadi-notes-dev,
               kpim6-akonadi-search-dev,
               kpim6-calendarsupport-dev,
               kpim6-eventviews-dev,
               kpim6-grantleetheme-dev,
               kpim6-incidenceeditor-dev,
               kpim6-kcalendarutils-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kldap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmime-dev,
               kpim6-kontactinterface-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               kpim6-libkgapi-dev,
               kpim6-mailcommon-dev,
               kpim6-messagelib-dev,
               kpim6-pimcommon-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libcups2-dev,
               libgpgme11-dev | libgpgme-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               reuse,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/korganizer.git
Vcs-Browser: https://invent.kde.org/neon/kde/korganizer
Maintainer: Neon CI <neon@kde.org>

Package: korganizer
Architecture: any
Depends: kpim6-kdepim-runtime,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Homepage: http://kontact.kde.org/korganizer/
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.
 .
